﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ItemExceptionTest
{
    class Item
    {
        private int _price;
        public int Id { get; set; }
        public string Name { get; set; }

        public int Price
        {
            get { return _price; }
            set
            {
                if (value<0 || value>1000)
                    throw  new ArgumentException("Prisen skal være mellem 0 og 1000");
                _price = value; 
            }
        }

        public Item(string name)
        {
            Name = name;
        }

        public Item()
        {
            
        }

        public Item(string name, int price)
        {
            Name = name;
            Price = price;
        }

        public override string ToString()
        {
            return $"Id: {Id}, Name: {Name}, Price: {Price}";
        }
    }
}
